Loading...
Searching...
No Matches
BaseStencil< DerivedType, SIZE, GridT >::Mask Struct Reference

`#include <nanovdb/util/Stencils.h>`

## Public Member Functions

| Mask ()
void | set (int i)
bool | test (int i) const
bool | any () const
bool | all () const
bool | none () const
int | count () const

## Public Attributes

uint8_t | bits

## Constructor & Destructor Documentation

## Mask()

template<typename DerivedType, int SIZE, typename GridT>

Mask | ( |  | ) |

inline

## Member Function Documentation

## all()

template<typename DerivedType, int SIZE, typename GridT>

bool all | ( |  | ) | const

inline

## any()

template<typename DerivedType, int SIZE, typename GridT>

bool any | ( |  | ) | const

inline

## count()

template<typename DerivedType, int SIZE, typename GridT>

int count | ( |  | ) | const

inline

## none()

template<typename DerivedType, int SIZE, typename GridT>

bool none | ( |  | ) | const

inline

## set()

template<typename DerivedType, int SIZE, typename GridT>

void set | ( | int | i | ) |

inline

## test()

template<typename DerivedType, int SIZE, typename GridT>

bool test | ( | int | i | ) | const

inline

## Member Data Documentation

## bits

template<typename DerivedType, int SIZE, typename GridT>

uint8_t bits